<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name = specimen / the specimen to fill
                        managedBean
                        askForNumberOfContainers (true/false) -->
    <s:div styleClass="row" id="specimenDescription">
        <div class="col-lg-6 form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm1"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.PlacerAssignedIdentifier']}</ui:define>
                <h:inputText value="#{specimen.placerAssignedIdentifier}" id="spm1"
                                   styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm2"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.FillerAssignedIdentifier']}</ui:define>
                <h:inputText value="#{specimen.fillerAssignedIdentifier}" id="spm2"
                                   styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="spm3"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenRole']}</ui:define>
                <h:selectOneMenu value="#{specimen.role}" required="true"
                                 requiredMessage="Please select a specimen role from the list" id="spm3"
                                 styleClass="form-control">
                    <f:selectItems value="#{managedBean.getListOfRoles()}"/>
                    <a4j:ajax event="change" immediate="true" render="specimenDescription" execute="@this"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{specimen.role.equals('P') or specimen.role.equals('L')}">
                <ui:param name="id" value="spm4"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenType']}</ui:define>
                <h:selectOneMenu value="#{specimen.type}" required="true" id="spm4" styleClass="form-control"
                                 requiredMessage="Specimen type is mandatory when specimen role is set to P or L">
                    <f:selectItems value="#{valueSet.getListOfConcepts('specimenType')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.isOptionSupported('LAW_POOL_NOAN')}">
                <ui:param name="id" value="spm5"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.GroupedSpecimenCount']}</ui:define>
                <rich:inputNumberSpinner value="#{specimen.groupedSpecimenCount}" minValue="0" maxValue="100"
                                         required="true" id="spm5"
                                         requiredMessage="Usage is mandatory when LAW_POOL_NONAN option is supported"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER_MGR') and managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm6"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenCollectionMethod']}</ui:define>
                <h:selectOneMenu value="#{specimen.collectionMethod}" styleClass="form-control" id="spm6">
                    <f:selectItems value="#{valueSet.getListOfConcepts('collectionMethod')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
        <div class="col-lg-6 form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER_MGR') and managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm7"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSourceSite']}</ui:define>
                <h:inputText value="#{specimen.sourceSite}" id="spm7" styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER_MGR') and managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm8"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSourceSiteModifier']}</ui:define>
                <h:selectOneMenu value="#{specimen.sourceSiteModifier}" id="spm8" styleClass="form-control">
                    <f:selectItem itemValue="null" itemLabel="#{messages['gazelle.ordermanager.notSpecified']}"/>
                    <f:selectItem itemValue="LEFT" itemLabel="#{messages['gazelle.ordermanager.left']}"/>
                    <f:selectItem itemValue="RIGHT" itemLabel="#{messages['gazelle.ordermanager.right']}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER_MGR') and managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm9"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenRiskCode']}</ui:define>
                <h:selectOneMenu value="#{specimen.riskCode}" id="spm9" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('riskCode')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER_MGR') and managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm10"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenCollectionDatetime']}</ui:define>
                <a4j:outputPanel layout="block" id="spm10">
                    <rich:calendar value="#{specimen.collectionDateTime}" locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy HH:mm" showApplyButton="true"/>
                </a4j:outputPanel>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER_MGR') and managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm11"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenReceivedDatetime']}</ui:define>
                <a4j:outputPanel layout="block" d="spm11">
                    <rich:calendar value="#{specimen.receivedDateTime}" locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy HH:mm" showApplyButton="true"/>
                </a4j:outputPanel>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER_MGR') and managedBean.isOptionSupported('LAW_SPECIMEN')}">
                <ui:param name="id" value="spm12"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.ContainerType']}</ui:define>
                <h:inputText value="#{specimen.containerType}" id="spm12" styleClass="form-control"/>
            </s:decorate>
        </div>
    </s:div>
</ui:composition>
